psocksxx::socktimeoutexception Class Reference

Socket timeout exception. More...

`#include <socktimeoutexception.h>`

Inheritance diagram for psocksxx::socktimeoutexception:

## Public Member Functions

| socktimeoutexception (const char *message) throw ()
| constructor More...
| socktimeoutexception (const timeval *t_val, const char *method=0) throw ()
| constructor More...
virtual | ~socktimeoutexception () throw ()
| destructor
Public Member Functions inherited from psocksxx::sockexception
| sockexception (const char *message=0) throw ()
| constructor More...
virtual | ~sockexception () throw ()
| destructor
const char * | what () const throw ()
| Returns exception message. More...

## Additional Inherited Members

Protected Attributes inherited from psocksxx::sockexception
std::string | _message
int | _errno
std::string | _sys_msg

## Detailed Description

Socket timeout exception.

This acts as the socket timeout exception class.

## Constructor & Destructor Documentation

psocksxx::socktimeoutexception::socktimeoutexception | ( | const char * | message | ) |
throw | ( |
| ) |  |

constructor

Parameters

  message | exception message

Create an timeout exception instance with the passed in exception message.

psocksxx::socktimeoutexception::socktimeoutexception | ( | const timeval * | t_val,
|  | const char * | method = `0`
| ) |  |
throw | ( |
| ) |  |

constructor

Parameters

  t_val | timed-out value
  method | action/method that timed-out

This will take the passed in timed-out value and the action to construct the exception message.